de.esprit.netsuite.transl

## Enum TrEnsGui

- java.lang.Object
- - java.lang.Enum<TrEnsGui>
  - - de.esprit.netsuite.transl.TrEnsGui

- All Implemented Interfaces:
    NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsGui>

      public enum TrEnsGui
      extends java.lang.Enum<TrEnsGui>
      implements NlsKey

  Translations for GUI strings
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOS`
    `ACCESS_ABO`
    `ACCESS_ABO_BY_PK`
    `ACCESSIBLE_OBJECTS`
    `AGENT_ACTIONS`
    `AGENTS`
    `ASSIGN_USER_TO_GROUPS`
    `ASSIGNED_PERMISSIONS`
    `ASYNC_AGENTS`
    `CANCELLED`
    `CHANGE_GROUP`
    `CHANGE_PASSWORD_FOR_USER`
    `CHANGE_USER`
    `CHOOSE_PERMISSIONS`
    `CLIENT`
    `CLIENT_CONSOLE`
    `CLIENT_INFO_TIP`
    `CLIENT_LOG_LEVEL`
    `CLIENT_REQUESTS`
    `CLIENT_SESSIONS`
    `CLIENT_WAS_TERMINATED`
    `COCLIENTS`
    `COMMANDS`
    `COSERVERS`
    `CREATE_GROUP`
    `CREATE_NEW_ABO`
    `CREATE_USER`
    `CURRENT_CLIENT_SESSIONS`
    `DATA_TRANSFERS`
    `DEFINED_GROUPS`
    `DEFINED_USERS`
    `DOWNLOAD`
    `EDIT_SERVER_FILE`
    `ENABLE_EMAIL`
    `ENTER_SERVER_FILENAME`
    `ERROR_SUMMARY`
    `FAILED`
    `FILE_TRANSFER_ACTIONS`
    `FILTER`
    `GROUP_MEMBERS`
    `GROUP_PERMISSIONS`
    `HLP_TALK_TO_OTHERS`
    `IGNORE_MESG_ERROR`
    `LAST_RUN`
    `LAST_SET_BY`
    `LOAD_TEST`
    `LOCKS`
    `LOGFILE`
    `LOGIN`
    `MANAGER_BATCH_TASK`
    `MANAGER_DATABASE`
    `MANAGER_GROUP`
    `MANAGER_GROUP_MEMBER`
    `MANAGER_LOG_CHANNEL`
    `MANAGER_PERMISSION`
    `MANAGER_SESSION`
    `MANAGER_USER`
    `MESSAGE_LED`
    `MESSAGES_FROM_OTHER_USERS`
    `MESSAGES_TO_CLIENTS`
    `MISC_ACTIONS`
    `MODIFY_GROUP`
    `MODIFY_USER`
    `NEXT_START`
    `NUM_OF_CLIENT_COMMANDS`
    `NUM_OF_CLIENTS`
    `NUM_OF_DATA_SOURCES`
    `NUM_OF_FILE_TRANSFERS`
    `NUM_OF_GROUPS`
    `NUM_OF_LOCKS`
    `NUM_OF_LOGIFLES`
    `NUM_OF_MAIL_ADDRESSES`
    `NUM_OF_SRERVER_PROCS`
    `NUM_OF_USERS`
    `NUM_RUNNING_ASYNC_AGENTS`
    `NUM_RUNNING_FILE_TRANSFERS`
    `NUM_RUNNING_PROCS`
    `ONLINE_USERS`
    `PARAM1`
    `PARAM2`
    `PERMISSION_OWNER`
    `PROC_NAME`
    `PROCESS_PARAMS`
    `PUSH_TO_START`
    `RECIPIENTS`
    `RECORD_TEST`
    `REGISTER_EVENTS`
    `REMOTE_TASKS`
    `REPEAT_DELAY`
    `REQUEST_LED`
    `RESOURCE_LOCKS`
    `RUN_PROCESS_MANUALLY`
    `RUN_STATE`
    `RUNNING`
    `RUNNING_REMOTE_TASKS`
    `RUNNING_TRANSFERS`
    `SEND_A_MESSAGE_TO_CLIENT`
    `SERVER`
    `SERVER_CONSOLE`
    `SERVER_GENERAL`
    `SERVER_MAIN_LOGS`
    `SERVER_PROCESSES`
    `SERVER_PROFILE`
    `SERVER_RUNTIME`
    `SERVER_WAS_SHUT_DOWN`
    `SET_DEFAULT_PASSWORD`
    `SIMPLE_REMOTE_TASK`
    `START_OS_PROCESS`
    `START_TIME`
    `STREAMS`
    `SUCCEEDED`
    `SWITCH_ON_OFF_LINE`
    `TABLE_EDITOR`
    `TALK_TO_OTHERS`
    `TANK_EDITOR`
    `TASK_NAME`
    `TASK_TYPE`
    `TEST_BASIC_FEATURES`
    `TIMEOUT_TEST`
    `TRANSFER_ASYNC`
    `TRANSFER_LED`
    `TRANSFER_LOCKED`
    `TRANSFERS`
    `UPLOAD`
    `USER_PERMISSIONS`
    `VIEW_SERVER_FILE`
    `WEB_BROWSER`
    `WORKFLOW`
    `WORKFLOW_WITH_REMOTE_TASKS`
    `YOU_MUST_DECIDE_HERE`
    `YOUR_MESSAGE_INPUT`
    `ZIPPED`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static TrEnsGui` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsGui[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final TrEnsGui CLIENT

    - #### SERVER

          public static final TrEnsGui SERVER

    - #### LOGIN

          public static final TrEnsGui LOGIN

    - #### NUM_OF_LOGIFLES

          public static final TrEnsGui NUM_OF_LOGIFLES

    - #### NUM_OF_CLIENTS

          public static final TrEnsGui NUM_OF_CLIENTS

    - #### NUM_OF_SRERVER_PROCS

          public static final TrEnsGui NUM_OF_SRERVER_PROCS

    - #### NUM_OF_DATA_SOURCES

          public static final TrEnsGui NUM_OF_DATA_SOURCES

    - #### NUM_OF_USERS

          public static final TrEnsGui NUM_OF_USERS

    - #### NUM_OF_GROUPS

          public static final TrEnsGui NUM_OF_GROUPS

    - #### NUM_OF_FILE_TRANSFERS

          public static final TrEnsGui NUM_OF_FILE_TRANSFERS

    - #### NUM_OF_CLIENT_COMMANDS

          public static final TrEnsGui NUM_OF_CLIENT_COMMANDS

    - #### NUM_OF_LOCKS

          public static final TrEnsGui NUM_OF_LOCKS

    - #### PROCESS_PARAMS

          public static final TrEnsGui PROCESS_PARAMS

    - #### RUN_PROCESS_MANUALLY

          public static final TrEnsGui RUN_PROCESS_MANUALLY

    - #### NUM_OF_MAIL_ADDRESSES

          public static final TrEnsGui NUM_OF_MAIL_ADDRESSES

    - #### ENABLE_EMAIL

          public static final TrEnsGui ENABLE_EMAIL

    - #### CLIENT_CONSOLE

          public static final TrEnsGui CLIENT_CONSOLE

    - #### SERVER_CONSOLE

          public static final TrEnsGui SERVER_CONSOLE

    - #### SERVER_RUNTIME

          public static final TrEnsGui SERVER_RUNTIME

    - #### SERVER_PROFILE

          public static final TrEnsGui SERVER_PROFILE

    - #### TABLE_EDITOR

          public static final TrEnsGui TABLE_EDITOR

    - #### WEB_BROWSER

          public static final TrEnsGui WEB_BROWSER

    - #### SWITCH_ON_OFF_LINE

          public static final TrEnsGui SWITCH_ON_OFF_LINE

    - #### NUM_RUNNING_ASYNC_AGENTS

          public static final TrEnsGui NUM_RUNNING_ASYNC_AGENTS

    - #### NUM_RUNNING_FILE_TRANSFERS

          public static final TrEnsGui NUM_RUNNING_FILE_TRANSFERS

    - #### NUM_RUNNING_PROCS

          public static final TrEnsGui NUM_RUNNING_PROCS

    - #### SERVER_WAS_SHUT_DOWN

          public static final TrEnsGui SERVER_WAS_SHUT_DOWN

    - #### CLIENT_WAS_TERMINATED

          public static final TrEnsGui CLIENT_WAS_TERMINATED

    - #### CURRENT_CLIENT_SESSIONS

          public static final TrEnsGui CURRENT_CLIENT_SESSIONS

    - #### SERVER_GENERAL

          public static final TrEnsGui SERVER_GENERAL

    - #### CLIENT_REQUESTS

          public static final TrEnsGui CLIENT_REQUESTS

    - #### MESSAGES_TO_CLIENTS

          public static final TrEnsGui MESSAGES_TO_CLIENTS

    - #### DATA_TRANSFERS

          public static final TrEnsGui DATA_TRANSFERS

    - #### ERROR_SUMMARY

          public static final TrEnsGui ERROR_SUMMARY

    - #### ASYNC_AGENTS

          public static final TrEnsGui ASYNC_AGENTS

    - #### SERVER_PROCESSES

          public static final TrEnsGui SERVER_PROCESSES

    - #### CHANGE_PASSWORD_FOR_USER

          public static final TrEnsGui CHANGE_PASSWORD_FOR_USER

    - #### SET_DEFAULT_PASSWORD

          public static final TrEnsGui SET_DEFAULT_PASSWORD

    - #### SEND_A_MESSAGE_TO_CLIENT

          public static final TrEnsGui SEND_A_MESSAGE_TO_CLIENT

    - #### UPLOAD

          public static final TrEnsGui UPLOAD

    - #### DOWNLOAD

          public static final TrEnsGui DOWNLOAD

    - #### LOGFILE

          public static final TrEnsGui LOGFILE

    - #### START_OS_PROCESS

          public static final TrEnsGui START_OS_PROCESS

    - #### COSERVERS

          public static final TrEnsGui COSERVERS

    - #### COCLIENTS

          public static final TrEnsGui COCLIENTS

    - #### CLIENT_SESSIONS

          public static final TrEnsGui CLIENT_SESSIONS

    - #### RUNNING_REMOTE_TASKS

          public static final TrEnsGui RUNNING_REMOTE_TASKS

    - #### RESOURCE_LOCKS

          public static final TrEnsGui RESOURCE_LOCKS

    - #### RUNNING_TRANSFERS

          public static final TrEnsGui RUNNING_TRANSFERS

    - #### AGENTS

          public static final TrEnsGui AGENTS

    - #### TRANSFERS

          public static final TrEnsGui TRANSFERS

    - #### STREAMS

          public static final TrEnsGui STREAMS

    - #### COMMANDS

          public static final TrEnsGui COMMANDS

    - #### LOCKS

          public static final TrEnsGui LOCKS

    - #### EDIT_SERVER_FILE

          public static final TrEnsGui EDIT_SERVER_FILE

    - #### VIEW_SERVER_FILE

          public static final TrEnsGui VIEW_SERVER_FILE

    - #### REGISTER_EVENTS

          public static final TrEnsGui REGISTER_EVENTS

    - #### CREATE_USER

          public static final TrEnsGui CREATE_USER

    - #### CHANGE_USER

          public static final TrEnsGui CHANGE_USER

    - #### MODIFY_USER

          public static final TrEnsGui MODIFY_USER

    - #### CREATE_GROUP

          public static final TrEnsGui CREATE_GROUP

    - #### CHANGE_GROUP

          public static final TrEnsGui CHANGE_GROUP

    - #### MODIFY_GROUP

          public static final TrEnsGui MODIFY_GROUP

    - #### MESSAGES_FROM_OTHER_USERS

          public static final TrEnsGui MESSAGES_FROM_OTHER_USERS

    - #### YOUR_MESSAGE_INPUT

          public static final TrEnsGui YOUR_MESSAGE_INPUT

    - #### ONLINE_USERS

          public static final TrEnsGui ONLINE_USERS

    - #### RECIPIENTS

          public static final TrEnsGui RECIPIENTS

    - #### TALK_TO_OTHERS

          public static final TrEnsGui TALK_TO_OTHERS

    - #### ACCESS_ABO_BY_PK

          public static final TrEnsGui ACCESS_ABO_BY_PK

    - #### CREATE_NEW_ABO

          public static final TrEnsGui CREATE_NEW_ABO

    - #### TANK_EDITOR

          public static final TrEnsGui TANK_EDITOR

    - #### ACCESS_ABO

          public static final TrEnsGui ACCESS_ABO

    - #### TRANSFER_LED

          public static final TrEnsGui TRANSFER_LED

    - #### REQUEST_LED

          public static final TrEnsGui REQUEST_LED

    - #### MESSAGE_LED

          public static final TrEnsGui MESSAGE_LED

    - #### ENTER_SERVER_FILENAME

          public static final TrEnsGui ENTER_SERVER_FILENAME

    - #### LAST_SET_BY

          public static final TrEnsGui LAST_SET_BY

    - #### TRANSFER_ASYNC

          public static final TrEnsGui TRANSFER_ASYNC

    - #### TRANSFER_LOCKED

          public static final TrEnsGui TRANSFER_LOCKED

    - #### IGNORE_MESG_ERROR

          public static final TrEnsGui IGNORE_MESG_ERROR

    - #### CLIENT_LOG_LEVEL

          public static final TrEnsGui CLIENT_LOG_LEVEL

    - #### ZIPPED

          public static final TrEnsGui ZIPPED

    - #### WORKFLOW

          public static final TrEnsGui WORKFLOW

    - #### ABOS

          public static final TrEnsGui ABOS

    - #### REMOTE_TASKS

          public static final TrEnsGui REMOTE_TASKS

    - #### SIMPLE_REMOTE_TASK

          public static final TrEnsGui SIMPLE_REMOTE_TASK

    - #### WORKFLOW_WITH_REMOTE_TASKS

          public static final TrEnsGui WORKFLOW_WITH_REMOTE_TASKS

    - #### TEST_BASIC_FEATURES

          public static final TrEnsGui TEST_BASIC_FEATURES

    - #### YOU_MUST_DECIDE_HERE

          public static final TrEnsGui YOU_MUST_DECIDE_HERE

    - #### SERVER_MAIN_LOGS

          public static final TrEnsGui SERVER_MAIN_LOGS

    - #### CHOOSE_PERMISSIONS

          public static final TrEnsGui CHOOSE_PERMISSIONS

    - #### ASSIGN_USER_TO_GROUPS

          public static final TrEnsGui ASSIGN_USER_TO_GROUPS

    - #### GROUP_MEMBERS

          public static final TrEnsGui GROUP_MEMBERS

    - #### DEFINED_GROUPS

          public static final TrEnsGui DEFINED_GROUPS

    - #### DEFINED_USERS

          public static final TrEnsGui DEFINED_USERS

    - #### ACCESSIBLE_OBJECTS

          public static final TrEnsGui ACCESSIBLE_OBJECTS

    - #### USER_PERMISSIONS

          public static final TrEnsGui USER_PERMISSIONS

    - #### GROUP_PERMISSIONS

          public static final TrEnsGui GROUP_PERMISSIONS

    - #### PERMISSION_OWNER

          public static final TrEnsGui PERMISSION_OWNER

    - #### ASSIGNED_PERMISSIONS

          public static final TrEnsGui ASSIGNED_PERMISSIONS

    - #### FILTER

          public static final TrEnsGui FILTER

    - #### MANAGER_PERMISSION

          public static final TrEnsGui MANAGER_PERMISSION

    - #### MANAGER_DATABASE

          public static final TrEnsGui MANAGER_DATABASE

    - #### MANAGER_USER

          public static final TrEnsGui MANAGER_USER

    - #### MANAGER_GROUP

          public static final TrEnsGui MANAGER_GROUP

    - #### MANAGER_SESSION

          public static final TrEnsGui MANAGER_SESSION

    - #### MANAGER_BATCH_TASK

          public static final TrEnsGui MANAGER_BATCH_TASK

    - #### MANAGER_LOG_CHANNEL

          public static final TrEnsGui MANAGER_LOG_CHANNEL

    - #### MANAGER_GROUP_MEMBER

          public static final TrEnsGui MANAGER_GROUP_MEMBER

    - #### PROC_NAME

          public static final TrEnsGui PROC_NAME

    - #### REPEAT_DELAY

          public static final TrEnsGui REPEAT_DELAY

    - #### NEXT_START

          public static final TrEnsGui NEXT_START

    - #### LAST_RUN

          public static final TrEnsGui LAST_RUN

    - #### PARAM1

          public static final TrEnsGui PARAM1

    - #### PARAM2

          public static final TrEnsGui PARAM2

    - #### PUSH_TO_START

          public static final TrEnsGui PUSH_TO_START

    - #### RUNNING

          public static final TrEnsGui RUNNING

    - #### SUCCEEDED

          public static final TrEnsGui SUCCEEDED

    - #### FAILED

          public static final TrEnsGui FAILED

    - #### CANCELLED

          public static final TrEnsGui CANCELLED

    - #### AGENT_ACTIONS

          public static final TrEnsGui AGENT_ACTIONS

    - #### MISC_ACTIONS

          public static final TrEnsGui MISC_ACTIONS

    - #### FILE_TRANSFER_ACTIONS

          public static final TrEnsGui FILE_TRANSFER_ACTIONS

    - #### TIMEOUT_TEST

          public static final TrEnsGui TIMEOUT_TEST

    - #### LOAD_TEST

          public static final TrEnsGui LOAD_TEST

    - #### RECORD_TEST

          public static final TrEnsGui RECORD_TEST

    - #### TASK_TYPE

          public static final TrEnsGui TASK_TYPE

    - #### TASK_NAME

          public static final TrEnsGui TASK_NAME

    - #### RUN_STATE

          public static final TrEnsGui RUN_STATE

    - #### START_TIME

          public static final TrEnsGui START_TIME

    - #### HLP_TALK_TO_OTHERS

          public static final TrEnsGui HLP_TALK_TO_OTHERS

    - #### CLIENT_INFO_TIP

          public static final TrEnsGui CLIENT_INFO_TIP

  - ### Method Detail

    - #### values

          public static TrEnsGui[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsGui c : TrEnsGui.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsGui valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.